> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhino.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Reactivate deposit address

> Please use the identical endpoint under https://api.rhino.fi/sda. The sda endpoints here exist only for backwards compatibility and will be removed in the future. If you use the SDK, please upgrade to the latest version which uses the correct endpoint.



## OpenAPI

````yaml https://api.rhino.fi/bridge/swagger.json patch /deposit-addresses/{depositAddress}/{depositChain}/activate
openapi: 3.1.0
info:
  title: Bridge API
  version: 0.0.1
  description: Functionality for interacting with Rhino bridge service
servers:
  - url: https://api.rhino.fi/bridge
security: []
tags:
  - name: quote
  - name: configs
  - name: history
  - name: swap
  - name: depositAddresses
paths:
  /deposit-addresses/{depositAddress}/{depositChain}/activate:
    patch:
      tags:
        - depositAddresses
      summary: Reactivate deposit address
      description: >-
        Please use the identical endpoint under https://api.rhino.fi/sda. The
        sda endpoints here exist only for backwards compatibility and will be
        removed in the future. If you use the SDK, please upgrade to the latest
        version which uses the correct endpoint.
      operationId: depositAddresses.reactivateDepositAddress
      parameters:
        - name: depositAddress
          in: path
          schema:
            anyOf:
              - $ref: '#/components/schemas/EthAddressSchema'
              - $ref: '#/components/schemas/TronAddressBasic'
              - $ref: '#/components/schemas/SolanaAddress'
          required: true
        - name: depositChain
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: a boolean
          content:
            application/json:
              schema:
                type: boolean
        '400':
          description: The request did not match the expected schema
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/HttpApiDecodeError'
                  - $ref: '#/components/schemas/InvalidJwt'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '422':
          description: DepositAddressAlreadyActive
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/DepositAddressAlreadyActive'
                  - $ref: '#/components/schemas/DepositAddressNotFound'
        '503':
          description: EndpointDisabledError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointDisabledError'
      deprecated: true
      security:
        - bearer: []
        - legacyApiKey: []
components:
  schemas:
    EthAddressSchema:
      type: string
      description: a string that will be trimmed
    TronAddressBasic:
      type: string
      description: Tron basic address format
      pattern: T[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]+
      title: maxLength(60)
      maxLength: 60
    SolanaAddress:
      type: string
    HttpApiDecodeError:
      type: object
      required:
        - issues
        - message
        - _tag
      properties:
        issues:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
        message:
          type: string
        _tag:
          type: string
          enum:
            - HttpApiDecodeError
      additionalProperties: false
      description: The request did not match the expected schema
    InvalidJwt:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidJwt
      additionalProperties: false
    Unauthorized:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - Unauthorized
      additionalProperties: false
    DepositAddressAlreadyActive:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - DepositAddressAlreadyActive
      additionalProperties: false
    DepositAddressNotFound:
      type: object
      required:
        - message
        - addresses
        - _tag
      properties:
        message:
          type: string
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/NonEmptyString'
        _tag:
          type: string
          enum:
            - DepositAddressNotFound
      additionalProperties: false
    EndpointDisabledError:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - EndpointDisabledError
      additionalProperties: false
    Issue:
      type: object
      required:
        - _tag
        - path
        - message
      properties:
        _tag:
          type: string
          enum:
            - Pointer
            - Unexpected
            - Missing
            - Composite
            - Refinement
            - Transformation
            - Type
            - Forbidden
          description: The tag identifying the type of parse issue
        path:
          type: array
          items:
            $ref: '#/components/schemas/PropertyKey'
          description: The path to the property where the issue occurred
        message:
          type: string
          description: A descriptive message explaining the issue
      additionalProperties: false
      description: >-
        Represents an error encountered while parsing a value to match the
        schema
    NonEmptyString:
      type: string
      description: a non empty string
      title: nonEmptyString
      minLength: 1
    PropertyKey:
      anyOf:
        - type: string
        - type: number
        - type: object
          required:
            - _tag
            - key
          properties:
            _tag:
              type: string
              enum:
                - symbol
            key:
              type: string
          additionalProperties: false
          description: an object to be decoded into a globally shared symbol
  securitySchemes:
    bearer:
      description: JWT token for authentication
      type: http
      scheme: bearer
    legacyApiKey:
      type: apiKey
      name: authorization
      in: header

````